Bug 30366 - Start-up of tulip driver hangs machine.
Start-up of tulip driver hangs machine.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-02 15:06 EST by Kirk Morrow
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-19 00:36:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirk Morrow 2001-03-02 15:06:24 EST
Network card is a SOHO 10/100 with a MX987x5 chipset using the newer tulip
driver.  This card has been used flawlessly in several machine with Red Hat
6.1 (with special compile) and 6.2 & 7.0 (without modification).

However, under the "Fisher" beta any attempt to start this card using
either DHCP or static addresses hangs the machine.  Whether at boot time or
starting manually with ifup eth0 gets the same results.  No warning
messages, no logs, just an instantly hung machine that won't respond to
anything including "Ctrl-Alt-Del" which is not disabled.
Comment 1 Kirk Morrow 2001-03-03 13:54:28 EST
Actual number on chipset is MX98715AEC.
Comment 2 Arjan van de Ven 2001-03-05 08:03:44 EST
Could you reproduce this with the latest (wolverine/up2date) kernel?
(make sure it is 2.4.X-0.1.14 or later)
There have been several fixes to the tulip drivers.
Comment 3 Ben Levenson 2001-03-06 10:03:28 EST
Unfortunately, I can't locate a card with the Macronix MX98715AEC chip.  I will
update the bug report if I come across one in the test lab.
FWIW, I have verified the functionality for the following tulip cards:
0x1011  0x0002  "tulip" "DEC|DECchip 21040 [Tulip]"
0x1011  0x0009  "tulip" "DEC|DECchip 21140 [FasterNet]"
0x1011  0x0014  "tulip" "DEC|DECchip 21041 [Tulip Pass 3]"
0x1011  0x0019  "tulip" "DEC|DECchip 21142/43"
0x11ad  0x0002  "tulip" "Lite-On|LNE100TX"
0x1317  0x0985  "tulip" "Bridgecom, Inc|LNE100TX"
Comment 4 Kirk Morrow 2001-03-19 00:35:56 EST
I have run this with the Wolverine default kernel 2.4.1-0.1.9 and the driver
works.  No system hang.  Tomorrow, I will try to get to it with a 2.4.2-0.1.19
kernel.
Comment 5 Arjan van de Ven 2001-03-19 04:28:59 EST
This sounds fixed to me. If newer kernels show the problem again, please 
reopen this bug.
Comment 6 Kirk Morrow 2001-03-20 12:08:53 EST
It is fixed.  kernel-2.4.2-0.1.19 likes it.

Note You need to log in before you can comment on or make changes to this bug.